Loading...
Searching...
No Matches
janus_transport_session Struct Reference

Transport-Gateway session mapping. More...

`#include <transport.h>`

Collaboration diagram for janus_transport_session:
[legend]

## Data Fields

void * | transport_p
| Opaque pointer to the transport session.
void(* | p_free )(void *)
| Pointer to the transport-provided function, if needed, that will be used to free the opaque transport session instance.
volatile gint | destroyed
| Whether this mapping has been destroyed definitely or not: if so, the transport shouldn't make use of it anymore.
janus_mutex | mutex
| Mutex to protect changes to transport_p.
janus_refcount | ref
| Reference counter for this instance.

## Detailed Description

Transport-Gateway session mapping.

## Field Documentation

## destroyed

volatile gint janus_transport_session::destroyed

Whether this mapping has been destroyed definitely or not: if so, the transport shouldn't make use of it anymore.

## mutex

janus_mutex janus_transport_session::mutex

Mutex to protect changes to transport_p.

## p_free

void(* janus_transport_session::p_free) (void *)

Pointer to the transport-provided function, if needed, that will be used to free the opaque transport session instance.

## ref

janus_refcount janus_transport_session::ref

Reference counter for this instance.

## transport_p

void* janus_transport_session::transport_p

Opaque pointer to the transport session.

The documentation for this struct was generated from the following file:

- transport.h